#! /usr/bin/env python
#
#    Implements edge-breaker friendly data format, algorithms
#    Copyright (C) 2002  Michael Urman
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

import model

class EB(model.Model):

    def __init__(self, filename=None):

        model.Model.__init__(self)

        if filename:
            self.load(filename)

    def load(self, filename):
        """load(self, filename) -> None

        Load a model in simplified OBJ format"""

        if filename.endswith('.gz'):
            try:
                import gzip
                f = gzip.open(filename)
            except ImportError:
                raise SystemExit("Viewing gzipped files requires module gzip")
            else:
                f = open(filename)
            linecount = 0
            line = f.readline
            for line in f.readlines():
                linecount += 1
