#! /usr/bin/env python
#
#    Simple interface to show a model using UI and MODEL
#    Copyright (C) 2002  Michael Urman
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

import sys
import model

if len(sys.argv) < 2:
    print 'Usage: show.py {model [models]}'
    raise SystemExit

show = model.ui.pygameUI()

for name in sys.argv[1:]:
    if name.endswith('obj') or name.endswith('obj.gz'):
        m = model.fvlist.FVlist(name)
    elif name.endswith('log') or name.endswith('log.gz'):
        m = model.msp.MSP(name)
    else:
        raise ValueError("Model name '%s' is not recognized" % name)

    tx = model.transform.Transform()
    tx.add(m)
    show.add_model(tx, name)

show.run()#size=(1024,768), fullscreen=1)
